﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace InventoryManagementServer
{
    public class DownloadProducts : HttpHandlerBase
    {
        public override void ProcessRequest(User user, HttpRequest request, string requestBody, HttpResponse response, ref string responseBody)
        {
            var date = DateTime.Parse(request.Headers["Date"]);

            var products = DataStore.GetProducts(user);

            responseBody = XmlSerializer.Serialize(products);
        }
    }
}